"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setCredentials = exports.removeCredentials = exports.getCredentials = exports.credentialsAllowsPurpose = void 0;
const __store = {};
function credentialsAllowsPurpose(id, purpose) {
    const { purposes } = getCredentials(id);
    return purposes.includes(purpose);
}
exports.credentialsAllowsPurpose = credentialsAllowsPurpose;
function getCredentials(id) {
    return __store[id] || null;
}
exports.getCredentials = getCredentials;
function removeCredentials(id) {
    __store[id] = null;
    delete __store[id];
}
exports.removeCredentials = removeCredentials;
function setCredentials(id, value) {
    __store[id] = value;
}
exports.setCredentials = setCredentials;
