"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSharedAppEnv = void 0;
const appEnv_1 = require("./appEnv");
const prop_1 = require("./prop");
const global_1 = require("./global");
const GLOBAL_INSTANCE_REF = "@@__ButtercupAppEnv";
/**
 * Get the shared app-environment configurator
 * (provides a controller for handling the substitution of
 * functions that need to work differently on different
 * environments)
 * @memberof module:Buttercup
 */
function getSharedAppEnv() {
    const globalRef = (0, global_1.getGlobal)();
    if (!globalRef[GLOBAL_INSTANCE_REF]) {
        const appEnv = (0, appEnv_1.createAppEnv)();
        (0, prop_1.assignObjImmutableProp)(globalRef, GLOBAL_INSTANCE_REF, appEnv);
    }
    return globalRef[GLOBAL_INSTANCE_REF];
}
exports.getSharedAppEnv = getSharedAppEnv;
