"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCompressionResources = void 0;
const pako_1 = require("pako");
/**
 * Compress text using GZIP
 * @param text The text to compress
 * @returns Compressed text
 */
function compress(text) {
    return (0, pako_1.gzip)(text, {
        level: 9,
        to: "string"
    });
}
/**
 * Decompress a compressed string (GZIP)
 * @param text The compressed text
 * @returns Decompressed text
 */
function decompress(text) {
    return (0, pako_1.ungzip)(text, { to: "string" });
}
function getCompressionResources() {
    return {
        "compression/v1/compressText": compress,
        "compression/v1/decompressText": decompress
    };
}
exports.getCompressionResources = getCompressionResources;
