"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEncodingResources = void 0;
const base64 = __importStar(require("base64-js"));
/**
 * Convert base64 to text/byte-array
 * @returns A decoded string or array of bytes
 */
function decodeBase64(b64, raw = false) {
    return raw ? base64.toByteArray(b64) : new TextDecoder().decode(base64.toByteArray(b64));
}
/**
 * Convert bytes to base64
 * @returns A base64-encoded string
 */
function encodeBytesToBase64(bytes) {
    return base64.fromByteArray(bytes);
}
/**
 * Convert text to base64
 * @returns A base64-encoded string
 */
function encodeTextToBase64(text) {
    return encodeBytesToBase64(new TextEncoder().encode(text));
}
function getEncodingResources() {
    return {
        "encoding/v1/base64ToBytes": (input) => decodeBase64(input, true),
        "encoding/v1/base64ToText": decodeBase64,
        "encoding/v1/bytesToBase64": encodeBytesToBase64,
        "encoding/v1/textToBase64": encodeTextToBase64
    };
}
exports.getEncodingResources = getEncodingResources;
