"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isVaultFacade = exports.isOTPURI = void 0;
const OTPURI_PATTERN = /^otpauth:\/\/[ht]otp\/[^\s]+$/i;
/**
 * Check if a string is an OTP URI
 * @param str The string to check
 * @memberof module:Buttercup
 */
function isOTPURI(str) {
    return OTPURI_PATTERN.test(str);
}
exports.isOTPURI = isOTPURI;
/**
 * Check if an object is a vault facade
 * @param obj The item to check
 * @returns True if a vault facade
 * @memberof module:Buttercup
 */
function isVaultFacade(obj) {
    if (!obj || typeof obj !== "object") {
        return false;
    }
    return (obj.type === "vault" && typeof obj.id === "string" && Array.isArray(obj.entries) && Array.isArray(obj.groups));
}
exports.isVaultFacade = isVaultFacade;
