"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FIELD_VALUE_TYPES = exports.FACADE_VERSION = exports.ENTRY_TYPES = exports.DEFAULT_FIELD_TYPE = exports.DEFAULT_ENTRY_TYPE = void 0;
const types_1 = require("../types");
/**
 * Default entry type
 * @memberof module:Buttercup
 */
exports.DEFAULT_ENTRY_TYPE = types_1.EntryType.Login;
/**
 * Default entry field type
 * @memberof module:Buttercup
 */
exports.DEFAULT_FIELD_TYPE = types_1.EntryPropertyValueType.Text;
/**
 * Entry types collection (all available)
 * @memberof module:Buttercup
 */
exports.ENTRY_TYPES = {
    [types_1.EntryType.CreditCard]: {
        title: "Credit Card",
        slug: types_1.EntryType.CreditCard
    },
    [types_1.EntryType.Login]: {
        title: "Login",
        slug: types_1.EntryType.Login
    },
    [types_1.EntryType.Note]: {
        title: "Note",
        slug: types_1.EntryType.Note
    },
    [types_1.EntryType.SSHKey]: {
        title: "SSH Key Pair",
        slug: types_1.EntryType.SSHKey
    },
    [types_1.EntryType.Website]: {
        title: "Website Login",
        slug: types_1.EntryType.Website
    }
};
exports.FACADE_VERSION = 2;
/**
 * Entry field value types collection (all available)
 * @memberof module:Buttercup
 */
exports.FIELD_VALUE_TYPES = {
    [types_1.EntryPropertyValueType.Note]: {
        title: "Note",
        slug: types_1.EntryPropertyValueType.Note
    },
    [types_1.EntryPropertyValueType.OTP]: {
        title: "OTP (One Time Password)",
        slug: types_1.EntryPropertyValueType.OTP
    },
    [types_1.EntryPropertyValueType.Password]: {
        title: "Password (secret)",
        slug: types_1.EntryPropertyValueType.Password
    },
    [types_1.EntryPropertyValueType.Text]: {
        title: "Text (default)",
        slug: types_1.EntryPropertyValueType.Text
    }
};
