"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSharedAppEnv = exports.buildSearcher = exports.VaultFacadeEntrySearch = exports.VaultEntrySearch = exports.Search = exports.MemoryStorageInterface = exports.StorageInterface = exports.Credentials = exports.FIELD_VALUE_TYPES = exports.ENTRY_TYPES = exports.DEFAULT_FIELD_TYPE = exports.DEFAULT_ENTRY_TYPE = exports.setEntryPropertyValueType = exports.getEntryPropertyValueType = exports.createFieldDescriptor = exports.setEntryFacadePropertyValueType = exports.getEntryFacadePath = exports.fieldsToProperties = exports.createEntryFromFacade = exports.createEntryFacade = exports.consumeEntryFacade = exports.isVaultFacade = exports.isOTPURI = exports.createVaultFacade = exports.createGroupFacade = exports.consumeVaultFacade = exports.consumeGroupFacade = exports.registerDatasource = exports.DatasourceAuthManager = exports.GoogleDriveDatasource = exports.DropboxDatasource = exports.WebDAVDatasource = exports.FileDatasource = exports.MemoryDatasource = exports.TextDatasource = exports.hasValidFormatBSignature = exports.getFormatBSignature = exports.VaultFormatB = exports.hasValidFormatASignature = exports.getFormatASignature = exports.VaultFormatA = exports.setDefaultFormat = exports.getDefaultFormat = exports.detectFormat = exports.AttachmentManager = exports.Entry = exports.Group = exports.Vault = exports.VaultSource = exports.VaultManager = void 0;
exports.encodeBase64String = exports.decodeBase64String = exports.bytesToBase64 = exports.base64ToBytes = exports.getEntryURLs = exports.getEntryPath = exports.EntryURLType = exports.generateUUID = void 0;
var VaultManager_1 = require("./core/VaultManager");
Object.defineProperty(exports, "VaultManager", { enumerable: true, get: function () { return __importDefault(VaultManager_1).default; } });
var VaultSource_1 = require("./core/VaultSource");
Object.defineProperty(exports, "VaultSource", { enumerable: true, get: function () { return __importDefault(VaultSource_1).default; } });
var Vault_1 = require("./core/Vault");
Object.defineProperty(exports, "Vault", { enumerable: true, get: function () { return __importDefault(Vault_1).default; } });
var Group_1 = require("./core/Group");
Object.defineProperty(exports, "Group", { enumerable: true, get: function () { return __importDefault(Group_1).default; } });
var Entry_1 = require("./core/Entry");
Object.defineProperty(exports, "Entry", { enumerable: true, get: function () { return __importDefault(Entry_1).default; } });
var AttachmentManager_1 = require("./attachments/AttachmentManager");
Object.defineProperty(exports, "AttachmentManager", { enumerable: true, get: function () { return __importDefault(AttachmentManager_1).default; } });
var formatRouter_1 = require("./io/formatRouter");
Object.defineProperty(exports, "detectFormat", { enumerable: true, get: function () { return formatRouter_1.detectFormat; } });
Object.defineProperty(exports, "getDefaultFormat", { enumerable: true, get: function () { return formatRouter_1.getDefaultFormat; } });
Object.defineProperty(exports, "setDefaultFormat", { enumerable: true, get: function () { return formatRouter_1.setDefaultFormat; } });
var VaultFormatA_1 = require("./io/VaultFormatA");
Object.defineProperty(exports, "VaultFormatA", { enumerable: true, get: function () { return __importDefault(VaultFormatA_1).default; } });
var signing_1 = require("./io/formatA/signing");
Object.defineProperty(exports, "getFormatASignature", { enumerable: true, get: function () { return signing_1.getSignature; } });
Object.defineProperty(exports, "hasValidFormatASignature", { enumerable: true, get: function () { return signing_1.hasValidSignature; } });
var VaultFormatB_1 = require("./io/VaultFormatB");
Object.defineProperty(exports, "VaultFormatB", { enumerable: true, get: function () { return __importDefault(VaultFormatB_1).default; } });
var signing_2 = require("./io/formatB/signing");
Object.defineProperty(exports, "getFormatBSignature", { enumerable: true, get: function () { return signing_2.getSignature; } });
Object.defineProperty(exports, "hasValidFormatBSignature", { enumerable: true, get: function () { return signing_2.hasValidSignature; } });
var TextDatasource_1 = require("./datasources/TextDatasource");
Object.defineProperty(exports, "TextDatasource", { enumerable: true, get: function () { return __importDefault(TextDatasource_1).default; } });
var MemoryDatasource_1 = require("./datasources/MemoryDatasource");
Object.defineProperty(exports, "MemoryDatasource", { enumerable: true, get: function () { return __importDefault(MemoryDatasource_1).default; } });
var FileDatasource_1 = require("./datasources/FileDatasource");
Object.defineProperty(exports, "FileDatasource", { enumerable: true, get: function () { return __importDefault(FileDatasource_1).default; } });
var WebDAVDatasource_1 = require("./datasources/WebDAVDatasource");
Object.defineProperty(exports, "WebDAVDatasource", { enumerable: true, get: function () { return __importDefault(WebDAVDatasource_1).default; } });
var DropboxDatasource_1 = require("./datasources/DropboxDatasource");
Object.defineProperty(exports, "DropboxDatasource", { enumerable: true, get: function () { return __importDefault(DropboxDatasource_1).default; } });
var GoogleDriveDatasource_1 = require("./datasources/GoogleDriveDatasource");
Object.defineProperty(exports, "GoogleDriveDatasource", { enumerable: true, get: function () { return __importDefault(GoogleDriveDatasource_1).default; } });
var DatasourceAuthManager_1 = require("./datasources/DatasourceAuthManager");
Object.defineProperty(exports, "DatasourceAuthManager", { enumerable: true, get: function () { return __importDefault(DatasourceAuthManager_1).default; } });
var register_1 = require("./datasources/register");
Object.defineProperty(exports, "registerDatasource", { enumerable: true, get: function () { return register_1.registerDatasource; } });
var vault_1 = require("./facades/vault");
Object.defineProperty(exports, "consumeGroupFacade", { enumerable: true, get: function () { return vault_1.consumeGroupFacade; } });
Object.defineProperty(exports, "consumeVaultFacade", { enumerable: true, get: function () { return vault_1.consumeVaultFacade; } });
Object.defineProperty(exports, "createGroupFacade", { enumerable: true, get: function () { return vault_1.createGroupFacade; } });
Object.defineProperty(exports, "createVaultFacade", { enumerable: true, get: function () { return vault_1.createVaultFacade; } });
var detection_1 = require("./facades/detection");
Object.defineProperty(exports, "isOTPURI", { enumerable: true, get: function () { return detection_1.isOTPURI; } });
Object.defineProperty(exports, "isVaultFacade", { enumerable: true, get: function () { return detection_1.isVaultFacade; } });
var entry_1 = require("./facades/entry");
Object.defineProperty(exports, "consumeEntryFacade", { enumerable: true, get: function () { return entry_1.consumeEntryFacade; } });
Object.defineProperty(exports, "createEntryFacade", { enumerable: true, get: function () { return entry_1.createEntryFacade; } });
Object.defineProperty(exports, "createEntryFromFacade", { enumerable: true, get: function () { return entry_1.createEntryFromFacade; } });
Object.defineProperty(exports, "fieldsToProperties", { enumerable: true, get: function () { return entry_1.fieldsToProperties; } });
Object.defineProperty(exports, "getEntryFacadePath", { enumerable: true, get: function () { return entry_1.getEntryFacadePath; } });
Object.defineProperty(exports, "setEntryFacadePropertyValueType", { enumerable: true, get: function () { return entry_1.setEntryFacadePropertyValueType; } });
var tools_1 = require("./facades/tools");
Object.defineProperty(exports, "createFieldDescriptor", { enumerable: true, get: function () { return tools_1.createFieldDescriptor; } });
Object.defineProperty(exports, "getEntryPropertyValueType", { enumerable: true, get: function () { return tools_1.getEntryPropertyValueType; } });
Object.defineProperty(exports, "setEntryPropertyValueType", { enumerable: true, get: function () { return tools_1.setEntryPropertyValueType; } });
var symbols_1 = require("./facades/symbols");
Object.defineProperty(exports, "DEFAULT_ENTRY_TYPE", { enumerable: true, get: function () { return symbols_1.DEFAULT_ENTRY_TYPE; } });
Object.defineProperty(exports, "DEFAULT_FIELD_TYPE", { enumerable: true, get: function () { return symbols_1.DEFAULT_FIELD_TYPE; } });
Object.defineProperty(exports, "ENTRY_TYPES", { enumerable: true, get: function () { return symbols_1.ENTRY_TYPES; } });
Object.defineProperty(exports, "FIELD_VALUE_TYPES", { enumerable: true, get: function () { return symbols_1.FIELD_VALUE_TYPES; } });
var Credentials_1 = require("./credentials/Credentials");
Object.defineProperty(exports, "Credentials", { enumerable: true, get: function () { return __importDefault(Credentials_1).default; } });
var StorageInterface_1 = require("./storage/StorageInterface");
Object.defineProperty(exports, "StorageInterface", { enumerable: true, get: function () { return __importDefault(StorageInterface_1).default; } });
var MemoryStorageInterface_1 = require("./storage/MemoryStorageInterface");
Object.defineProperty(exports, "MemoryStorageInterface", { enumerable: true, get: function () { return __importDefault(MemoryStorageInterface_1).default; } });
var VaultEntrySearch_1 = require("./search/VaultEntrySearch"); // compat @todo remove
Object.defineProperty(exports, "Search", { enumerable: true, get: function () { return VaultEntrySearch_1.VaultEntrySearch; } });
var VaultEntrySearch_2 = require("./search/VaultEntrySearch");
Object.defineProperty(exports, "VaultEntrySearch", { enumerable: true, get: function () { return VaultEntrySearch_2.VaultEntrySearch; } });
var VaultFacadeEntrySearch_1 = require("./search/VaultFacadeEntrySearch");
Object.defineProperty(exports, "VaultFacadeEntrySearch", { enumerable: true, get: function () { return VaultFacadeEntrySearch_1.VaultFacadeEntrySearch; } });
var searcher_1 = require("./search/searcher");
Object.defineProperty(exports, "buildSearcher", { enumerable: true, get: function () { return searcher_1.buildSearcher; } });
var appEnv_1 = require("./env/appEnv");
Object.defineProperty(exports, "getSharedAppEnv", { enumerable: true, get: function () { return appEnv_1.getSharedAppEnv; } });
var uuid_1 = require("./tools/uuid");
Object.defineProperty(exports, "generateUUID", { enumerable: true, get: function () { return uuid_1.generateUUID; } });
var entry_2 = require("./tools/entry");
Object.defineProperty(exports, "EntryURLType", { enumerable: true, get: function () { return entry_2.EntryURLType; } });
Object.defineProperty(exports, "getEntryPath", { enumerable: true, get: function () { return entry_2.getEntryPath; } });
Object.defineProperty(exports, "getEntryURLs", { enumerable: true, get: function () { return entry_2.getEntryURLs; } });
var encoding_1 = require("./tools/encoding");
Object.defineProperty(exports, "base64ToBytes", { enumerable: true, get: function () { return encoding_1.base64ToBytes; } });
Object.defineProperty(exports, "bytesToBase64", { enumerable: true, get: function () { return encoding_1.bytesToBase64; } });
Object.defineProperty(exports, "decodeBase64String", { enumerable: true, get: function () { return encoding_1.decodeBase64String; } });
Object.defineProperty(exports, "encodeBase64String", { enumerable: true, get: function () { return encoding_1.encodeBase64String; } });
__exportStar(require("./types"), exports);
/**
 * @module Buttercup
 */
