"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.historyStringToArray = exports.historyArrayToString = void 0;
/**
 * Convert array of history lines to a string
 * @param historyArray An array of history items
 * @returns The string representation
 * @private
 */
function historyArrayToString(historyArray) {
    return historyArray.join("\n");
}
exports.historyArrayToString = historyArrayToString;
/**
 * Convert a history string to an array
 * @param historyString The history string
 * @returns An array of history items
 * @private
 */
function historyStringToArray(historyString, formatID) {
    const hist = historyString.split("\n");
    if (formatID) {
        hist.format = formatID;
    }
    return hist;
}
exports.historyStringToArray = historyStringToArray;
