"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setDefaultFormat = exports.getFormatForID = exports.getDefaultFormat = exports.detectFormat = void 0;
const VaultFormatA_1 = __importDefault(require("./VaultFormatA"));
const VaultFormatB_1 = __importDefault(require("./VaultFormatB"));
const signing_1 = require("./formatB/signing");
const types_1 = require("../types");
const DEFAULT_FORMAT = VaultFormatA_1.default;
let __defaultFormat = DEFAULT_FORMAT;
function detectFormat(encryptedContent) {
    if ((0, signing_1.hasValidSignature)(encryptedContent)) {
        return VaultFormatB_1.default;
    }
    return VaultFormatA_1.default;
}
exports.detectFormat = detectFormat;
function getDefaultFormat() {
    return __defaultFormat;
}
exports.getDefaultFormat = getDefaultFormat;
function getFormatForID(id) {
    if (id === types_1.VaultFormatID.B) {
        return VaultFormatB_1.default;
    }
    return VaultFormatA_1.default;
}
exports.getFormatForID = getFormatForID;
function setDefaultFormat(Format = null) {
    __defaultFormat = Format || DEFAULT_FORMAT;
}
exports.setDefaultFormat = setDefaultFormat;
