"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VaultFacadeEntrySearch = void 0;
const BaseSearch_1 = require("./BaseSearch");
const entry_1 = require("../tools/entry");
const entry_2 = require("../facades/entry");
function extractEntries(facade, memory) {
    return __awaiter(this, void 0, void 0, function* () {
        // Get scores
        const scoresRaw = yield memory.getValue(`bcup_search_${facade.id}`);
        let vaultScore = {};
        if (scoresRaw) {
            try {
                const scores = JSON.parse(scoresRaw);
                vaultScore = scores;
            }
            catch (err) { }
        }
        // Get entries
        return facade.entries.reduce((entries, nextEntry) => {
            // @todo in trash
            const properties = (0, entry_2.fieldsToProperties)(nextEntry.fields);
            const urls = (0, entry_1.getEntryURLs)(properties, entry_1.EntryURLType.General);
            entries.push({
                id: nextEntry.id,
                properties,
                entryType: nextEntry.type,
                urls,
                groupID: nextEntry.parentID,
                vaultID: facade.id,
                domainScores: vaultScore[nextEntry.id] || {}
            });
            return entries;
        }, []);
    });
}
class VaultFacadeEntrySearch extends BaseSearch_1.BaseSearch {
    constructor(facades, memory, searcherFactory) {
        super(facades, extractEntries, memory, searcherFactory);
    }
}
exports.VaultFacadeEntrySearch = VaultFacadeEntrySearch;
