"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildSearcher = void 0;
const fuse_js_1 = __importDefault(require("fuse.js"));
const SEARCH_PARAMS_DEFAULT = [
    {
        name: "properties.title",
        weight: 0.6
    },
    {
        name: "properties.username",
        weight: 0.25
    },
    {
        name: "urls",
        weight: 0.15
    }
];
function buildSearcher(items, keys = SEARCH_PARAMS_DEFAULT) {
    return new fuse_js_1.default(items, {
        includeScore: true,
        keys,
        shouldSort: true,
        threshold: 0.5
    });
}
exports.buildSearcher = buildSearcher;
