"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBufferSize = exports.encryptAttachment = exports.decryptAttachment = exports.ATTACHMENT_EXT = void 0;
const appEnv_1 = require("../env/appEnv");
const channel_1 = require("../credentials/channel");
exports.ATTACHMENT_EXT = "bcatt";
function decryptAttachment(buff, credentials) {
    const { masterPassword } = (0, channel_1.getCredentials)(credentials.id);
    const decrypt = (0, appEnv_1.getSharedAppEnv)().getProperty("crypto/v2/decryptBuffer");
    return decrypt(buff, masterPassword);
}
exports.decryptAttachment = decryptAttachment;
function encryptAttachment(buff, credentials) {
    const { masterPassword } = (0, channel_1.getCredentials)(credentials.id);
    const encrypt = (0, appEnv_1.getSharedAppEnv)().getProperty("crypto/v2/encryptBuffer");
    return encrypt(buff, masterPassword);
}
exports.encryptAttachment = encryptAttachment;
function getBufferSize(buff) {
    if (typeof buff.byteLength !== "undefined") {
        return buff.byteLength;
    }
    return buff.length;
}
exports.getBufferSize = getBufferSize;
