"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.storeSourceOfflineCopy = exports.sourceHasOfflineCopy = exports.getSourceOfflineArchive = void 0;
const STORAGE_PREFIX = "bcup_archivecache_";
function getSourceOfflineArchive(storage, sourceID) {
    const sourceKey = `${STORAGE_PREFIX}${sourceID}`;
    return storage.getValue(sourceKey);
}
exports.getSourceOfflineArchive = getSourceOfflineArchive;
function sourceHasOfflineCopy(storage, sourceID) {
    return getSourceOfflineArchive(storage, sourceID).then(archiveContents => !!archiveContents && archiveContents.length > 0);
}
exports.sourceHasOfflineCopy = sourceHasOfflineCopy;
function storeSourceOfflineCopy(storage, sourceID, content) {
    const sourceKey = `${STORAGE_PREFIX}${sourceID}`;
    return storage.setValue(sourceKey, content);
}
exports.storeSourceOfflineCopy = storeSourceOfflineCopy;
